;;; ../../.dotfiles/doom/.config/doom/+projects.el -*- lexical-binding: t; -*-
;;; Project management

(defvar project-locations '(("~/ghq/" . 3)
                            ("~/.dotfiles" . 0)
                            ("~/ansible" . 0))
  "Where all my projects are located.

Most of them are managed using `ghq' in ~/ghq/, however there are also some
projects in other locations.")

(after! projectile
  (setq projectile-project-search-path project-locations))

(after! magit
  (setq magit-save-repository-buffers t
        magit-repository-directories project-locations))

(use-package! ghq)
