;;; ../../.dotfiles/doom/.config/doom/+elfeed.el -*- lexical-binding: t; -*-
;;; Thanks https://github.com/alrayyes/dotfiles/blob/master/emacs/.config/doom/config.org#elfeed

(use-package! elfeed
  :defer t
  :config
  (setq elfeed-use-curl t)
  (elfeed-set-timeout 36000)
  (setq elfeed-protocol-ttrss-maxsize 200) ; bigger than 200 is invalid
  (elfeed-protocol-enable)
  (setq elfeed-feeds (list
                      (list "ttrss+https://earne@rss.tildeverse.org"
                            :password (shell-command-to-string "echo -n `pash show rss`"))))

  (add-hook! 'elfeed-search-mode-hook 'elfeed-update))

(use-package! elfeed-goodies
  :after elfeed
  :config
  (elfeed-goodies/setup))
