;;; personal/music/config.el -*- lexical-binding: t; -*-

(use-package! playerctl
  :when (executable-find "playerctl")
  :config
  ;; keybindings
  ;; k prefix looks like it isn't defined, so let's borrow it for now
  (map! :n "SPC k SPC" #'playerctl-play-pause-song
        :n "SPC k s" #'playerctl-stop-song
        :n "SPC k S" #'playerctl-status
        :n "SPC k m" #'playerctl-metadata ; currently broken
        :n "SPC k n" #'playerctl-next-song
        :n "SPC k N" #'playerctl-seek-forward
        :n "SPC k p" #'playerctl-previous-song
        :n "SPC k P" #'playerctl-seek-backward))
